#ifndef PRINTTICKETSELECTFORM_H
#define PRINTTICKETSELECTFORM_H

#include <QDialog>
#include <QMap>
#include <QRadioButton>
#include <Model/orderObject.h>
#include "refdishesForm.h"
#include "preDefine.h"

namespace Ui {
class PrintTicketSelectForm;
}

class PrintTicketSelectForm : public QDialog
{
    Q_OBJECT

public:
    explicit PrintTicketSelectForm(QWidget *parent = 0);
    ~PrintTicketSelectForm();

    QString m_printTicketTypeStr;

    int m_printTicketTypeCode;

private slots:

    /* 功能:取消按钮对应的操作
     * 参数:NULL
     * 返回:NULL
     * */
    void on_BtnCancle_clicked();

    /* 功能:确定按钮对应的操作
     * 参数:[bEnable]是否启用
     * 返回:NULL
     * */
    void on_BtnOk_clicked();

    // 全部小票
    void on_allTicket_toggled(bool checked);

    // 汇总小票
    void on_summaryTicket_toggled(bool checked);

    // 杯贴小票
    void on_cupTicket_toggled(bool checked);

    // 预约提醒小票
    void on_reserveTicket_toggled(bool checked);

    // 街送小票
    void on_curbsideTicket_toggled(bool checked);

public slots:
     void clearAllRadioBtnCheck();

private:
    Ui::PrintTicketSelectForm *ui;
    void _Init();
};

#endif // PRINTTICKETSELECTFORM_H
